/**
 * Copyright (C) 2013 Google, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.onebusaway.gtfs_realtime.exporter;

import java.util.ArrayList;
import java.util.List;

import com.google.transit.realtime.GtfsRealtime.FeedEntity;

/**
 * Specifies a full update to a GTFS-realtime feed, such that all previous
 * entities are replaced by the new entities contained in the update.
 * 
 * @author bdferris
 * @see GtfsRealtimeIncrementalUpdate
 * @see GtfsRealtimeSink
 */
public class GtfsRealtimeFullUpdate {

  private List<FeedEntity> entities = new ArrayList<FeedEntity>();

  public void addEntity(FeedEntity entity) {
    entities.add(entity);
  }

  public List<FeedEntity> getEntities() {
    return entities;
  }
}
